package api.common.pojo.po;

import api.common.pojo.common.CommonPO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户。
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserPO extends CommonPO implements Serializable {

    private String id;              // 用户主键（唯一）
    private String username;        // 登录用户名
    private String nickname;        // 用户昵称，用于显示
    private String password;        // 密码（加密）
    private String isDeleted = "0";

}