package com.css.simulation.resource.scheduler.pojo.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class TaskPO {
    private String id;
    private String vehicleId;
    /**
     * 结果保存路径（minio 路径：/projects/[project_id]/[task_id]）
     */
    private String resultPath;
    /**
     * 场景文件路径，minio 路径
     */
    private String scenarioOsc;
    private String scenarioOdr;
    private String scenarioOsgb;
    /**
     * 车辆模型
     * 		"model": {
     * 			"model_label": "AudiA6_10"
     *                },
     * 		"dynamics": {
     * 			"dynamics_maxspeed": 67,
     * 			"dynamics_enginepower": 150000,
     * 			"dynamics_maxdecel": 9.5,
     * 			"dynamics_maxsteering": 0.48,
     * 			"dynamics_mass": 1700,
     * 			"dynamics_frontsurfaceeffective": 2.2,
     * 			"dynamics_airdragcoefficient": 0.31,
     * 			"dynamics_rollingresistance": 0,
     * 			"dynamics_wheeldiameter": 0.684,
     * 			"dynamics_wheeldrive": "wheel_drive_front",
     * 			"dynamics_overallefficiency": 0.75,
     * 			"dynamics_distfront": 3.838,
     * 			"dynamics_distrear": 1.086,
     * 			"dynamics_distleft": 0.94,
     * 			"dynamics_distright": 0.94,
     * 			"dynamics_distheight": 1.444,
     * 			"dynamics_wheelbase": 2.91
     *                },
     */
    private String modelLabel;
    private BigDecimal maxSpeed;
    private BigDecimal enginePower;
    private BigDecimal maxDeceleration;
    private BigDecimal maxSteeringAngle;
    private String drive;
    private BigDecimal overallEfficiency;
    private BigDecimal frontSurfaceEffective;
    private BigDecimal airDragCoefficient;
    private BigDecimal rollingResistanceCoefficient;
    private BigDecimal wheelDiameter;
    private BigDecimal frontDistance;
    private BigDecimal rearDistance;
    private BigDecimal leftDistance;
    private BigDecimal rightDistance;
    private BigDecimal height;
    private BigDecimal dynamicsWheelbase;
    private BigDecimal mass;

}
