package com.css.simulation.resource.system.service;

import api.common.pojo.param.RedisParameter;
import api.common.pojo.param.system.DictParam;
import api.common.pojo.po.system.DictPO;
import api.common.util.JsonUtil;
import com.css.simulation.resource.feign.RedisService;
import com.css.simulation.resource.system.mapper.DictMapper;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

@Service
public class DictService {

    @Autowired
    DictMapper dictMapper;

    @Autowired
    RedisService redisService;

    public String refreshDicts(DictParam param) throws JsonProcessingException {
        String dictTypes = param.getDictTypes();
        List<String> dictTypeList = Arrays.asList(dictTypes.split(","));
        if(dictTypeList.size() == 0){//防止参数为","
            dictTypeList = new ArrayList<String>();
            dictTypeList.add("xxx");
        }
        if("all".equals(dictTypes)){//关键字all时刷新全部字典
            dictTypeList = new ArrayList<String>();
        }
        //数据库取值
        List<DictPO> DictPOlist = dictMapper.getDicts(dictTypeList);
        //分组转换
        Map<String, List<DictPO>> DictPOMap = DictPOlist.stream().collect(Collectors.groupingBy(DictPO::getDictType));
        //放入缓存
        Set<String> keySet = DictPOMap.keySet();
        for (String key: keySet) {
            List<DictPO> dictPOS = DictPOMap.get(key);
            //list 字典
            String dictList = JsonUtil.listToJson(dictPOS);
            //放入缓存 TODO
            RedisParameter parameter = new RedisParameter();
            parameter.setKey(key);
            parameter.setValue(dictList);
            parameter.setMinutes(10);
            redisService.set(parameter);
            //map 字典
            Map<String, String> map = new HashMap();
            for (DictPO dictPO: dictPOS) {
                String code = dictPO.getDictCode();
                String name = dictPO.getDictName();
                map.put(code,name);
            }
            String dictMap = JsonUtil.beanToJson(map);
            //放入缓存 TODO

        }
        //返回刷新成功的字典名称
        return keySet.toString();
    }
}
